| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PSVIHandler Class Reference

This abstract class provides the interface for the scanner to return PSVI information to the application. More...

List of all members.

## Public Methods

Destructor
virtual | ~PSVIHandler ()
The PSVI handler interface
virtual void | handleElementPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIElement *elementInfo)=0
| Receive notification of the PSVI properties of an element. More...
virtual void | handleAttributesPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIAttributeList *psviAttributes)=0
| Enables PSVI information about attributes to be passed back to the application. More...

## Protected Methods

| PSVIHandler ()

## Detailed Description

This abstract class provides the interface for the scanner to return PSVI information to the application.

## Constructor & Destructor Documentation

virtual PSVIHandler::~PSVIHandler | ( |  | ) | `[virtual]`

PSVIHandler::PSVIHandler | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void PSVIHandler::handleAttributesPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIAttributeList * | psviAttributes
| ) | `[pure virtual]`

Enables PSVI information about attributes to be passed back to the application.

This callback will be made on *all* elements; on elements with no attributes, the final parameter will be null.

Parameters:

  localName | The name of the element upon which start tag these attributes were encountered.
  uri | The namespace to which the element is bound
  psviAttributes | Object containing the attributes' PSVI properties with information to identify them.

virtual void PSVIHandler::handleElementPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIElement * | elementInfo
| ) | `[pure virtual]`

Receive notification of the PSVI properties of an element.

The scanner will issue this call after the XMLDocumentHandler endElement call. Since the scanner will issue the psviAttributes call immediately after reading the start tag of an element, all element content will be effectively bracketed by these two calls.

Parameters:

  localName | The name of the element whose end tag was just parsed.
  uri | The namespace to which the element is bound
  elementInfo | Object containing the element's PSVI properties

The documentation for this class was generated from the following file:

- PSVIHandler.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.